# clean.rb

Path: | lib/rake/clean.rb
Last Update: | Mon Nov 03 16:44:53 -0600 2008

The ‘rake/clean’ file defines two file lists (CLEAN and CLOBBER) and two rake tasks (:clean and :clobber).

:clean
  Clean up the project by deleting scratch files and backup files. Add files to the CLEAN file list to have the :clean target handle them.
:clobber
  Clobber all generated and non-source files in a project. The task depends on :clean, so all the clean files will be deleted as well as files in the CLOBBER file list. The intent of this task is to return a project to its pristine, just unpacked state.

### Required files

rake

### Constants

CLEAN | = | Rake::FileList["**/*~", "**/*.bak", "**/core"]
CLOBBER | = | Rake::FileList.new

[Validate]